JspServletWrapper (Jasper Internal API Documentation)
Keywords: org.apache.jasper.servlet.JspServletWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.servlet
Class JspServletWrapper

    java.lang.Object
      org.apache.jasper.servlet.JspServletWrapper

public class JspServletWrapper
extends java.lang.Object

The JSP engine (a.k.a Jasper). The servlet container is responsible for providing a URLClassLoader for the web application context Jasper is being used in. Jasper will try get the Tomcat ServletContext attribute for its ServletContext class loader, if that fails, it uses the parent class loader. In either case, it must be a URLClassLoader.

Author:
  Anil K. Vijendran, Harish Prabandham, Remy Maucherat, Kin-man Chung, Glenn Nielsen

Constructor Summary
`JspServletWrapper(javax.servlet.ServletContext servletContext, Options options, java.lang.String tagFilePath, javax.servlet.jsp.tagext.TagInfo tagInfo, JspRuntimeContext rctxt, java.net.URL tagFileJarUrl)`

Method Summary
`int` | `decTripCount()`
`void` | `destroy()`
`java.util.List` | `getDependants()` Get a list of files that the current page has source dependency on.
`JspCompilationContext` | `getJspEngineContext()`
`javax.servlet.Servlet` | `getServlet()`
`javax.servlet.ServletContext` | `getServletContext()`
`int` | `incTripCount()`
`boolean` | `isTagFile()`
`java.lang.Class` | `loadTagFile()` Compile (if needed) and load a tag file
`java.lang.Class` | `loadTagFilePrototype()` Compile and load a prototype for the Tag file.
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean precompile)`
`void` | `setReload(boolean reload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspServletWrapper

    public JspServletWrapper(javax.servlet.ServletContext servletContext,
                             Options options,
                             java.lang.String tagFilePath,
                             javax.servlet.jsp.tagext.TagInfo tagInfo,
                             JspRuntimeContext rctxt,
                             java.net.URL tagFileJarUrl)
                      throws JasperException

Method Detail

### getJspEngineContext

    public JspCompilationContext getJspEngineContext()

### setReload

    public void setReload(boolean reload)

### getServlet

    public javax.servlet.Servlet getServlet()
                                     throws javax.servlet.ServletException,
                                            java.io.IOException,
                                            java.io.FileNotFoundException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
    `java.io.FileNotFoundException`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### loadTagFile

    public java.lang.Class loadTagFile()
                                throws JasperException

  Compile (if needed) and load a tag file

  Throws:
    `JasperException`

### loadTagFilePrototype

    public java.lang.Class loadTagFilePrototype()
                                         throws JasperException

  Compile and load a prototype for the Tag file. This is needed when compiling tag files with circular dependencies. A prototpe (skeleton) with no dependencies on other other tag files is generated and compiled.

  Throws:
    `JasperException`

### getDependants

    public java.util.List getDependants()

  Get a list of files that the current page has source dependency on.

### isTagFile

    public boolean isTagFile()

### incTripCount

    public int incTripCount()

### decTripCount

    public int decTripCount()

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        boolean precompile)
                 throws javax.servlet.ServletException,
                        java.io.IOException,
                        java.io.FileNotFoundException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
    `java.io.FileNotFoundException`

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.